#   Copyright 2019 AUI, Inc. Washington DC, USA
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


#############################################
def read_image(infile):
  """
  Read xarray zarr format image from disk

  Parameters
  ----------
  infile : str
      input zarr image filename

  Returns
  -------
  xarray.core.dataset.Dataset
      New xarray Dataset of image contents
  """
  import os
  from xarray import open_zarr
  
  infile = os.path.expanduser(infile)
  xds = open_zarr(infile)
  return xds

